#include "nodes/node.h"
#include "box2d/b2_body.h"
#include "box2d/b2_polygon_shape.h"

#ifndef HYDRANGEA_STATIC_BODY_H
#define HYDRANGEA_STATIC_BODY_H

class StaticBody : public Node {
public:
    explicit StaticBody(float size_x = 10.0f, float size_y = 10.0f);

    ~StaticBody();

    void update() override;

    void render();

private:
    b2BodyDef bBodyDef;
    b2Body *bBody;
    b2PolygonShape bShape;
    Vec2 size;
};

#endif //HYDRANGEA_STATIC_BODY_H
